export default {
    namespaced: true,
    state: {
        names: []
    },
    getters: {
        getNames: state => state.names
    },
    actions: {
        fetchNames({state, commit}) {
            if (state.names.length) {
                commit('setNames', state.names);
            } else {
                this._vm.$api.PBX.dialplans.context.getNames().then(({result}) => {
                    commit('setNames', result);
                    return {result};
                });
            }
        }
    },
    mutations: {
        setNames(state, data) {
            state.names = data;
        }
    }
};
